# pybedtools.bedtool.BedTool.multi_bam_coverage

`BedTool.``multi_bam_coverage`(*args, **kwargs)

  > Wraps `bedtools multicov`.

  > Pass a list of sorted and indexed BAM files as `bams`

  For convenience, the file or stream this BedTool points to is implicitly passed as the `-bed` argument to `multiBamCov`

  Original BEDTools help::

      Tool:    bedtools multicov (aka multiBamCov)
      Version: v2.29.2
      Summary: Counts sequence coverage for multiple bams at specific loci.

      Usage:   bedtools multicov [OPTIONS] -bams aln.1.bam aln.2.bam ... aln.n.bam -bed <bed/gff/vcf>

      Options:
              -bams   The bam files.

              -bed    The bed file.

              -split  Treat "split" BAM or BED12 entries as distinct BED intervals.

              -s      Require same strandedness.  That is, only report hits in B
                      that overlap A on the **same** strand.
                      - By default, overlaps are reported without respect to strand.

              -S      Require different strandedness.  That is, only report hits in B
                      that overlap A on the **opposite** strand.
                      - By default, overlaps are reported without respect to strand.

              -f      Minimum overlap required as a fraction of each A.
                      - Default is 1E-9 (i.e., 1bp).
                      - FLOAT (e.g. 0.50)

              -r      Require that the fraction overlap be reciprocal for each A and B.
                      - In other words, if -f is 0.90 and -r is used, this requires
                        that B overlap 90% of A and A **also** overlaps 90% of B.

              -q      Minimum mapping quality allowed. Default is 0.

              -D      Include duplicate reads.  Default counts non-duplicates only

              -F      Include failed-QC reads.  Default counts pass-QC reads only

              -p      Only count proper pairs.  Default counts all alignments with
                      MAPQ > -q argument, regardless of the BAM FLAG field.